Domain (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest

## Class Domain

- java.lang.Object
- - com.ibm.streamsx.rest.Element
  - - com.ibm.streamsx.rest.Domain

-     public class Domain
      extends Element

  An object describing an IBM Streams Domain
  Since:
    1.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Domain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCreationTime()` Gets the time in milliseconds when this domain was created.
    `java.lang.String` | `getCreationUser()` Gets the user ID that created this instance.
    `java.lang.String` | `getId()` Gets the IBM Streams unique identifier for this domain.
    `java.lang.String` | `getStatus()` Gets the status of the domain.
    `java.lang.String` | `getZooKeeperConnectionString()` Gets the ZooKeeper connection string for this domain.

    - ### Methods inherited from class com.ibm.streamsx.rest.Element

      `getStreamsConnection, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Domain

          public Domain()

  - ### Method Detail

    - #### getCreationTime

          public long getCreationTime()

      Gets the time in milliseconds when this domain was created.
      Returns:
        the epoch time in milliseconds when the domain was created.

    - #### getCreationUser

          public java.lang.String getCreationUser()

      Gets the user ID that created this instance.
      Returns:
        the creation user ID

    - #### getId

          public java.lang.String getId()

      Gets the IBM Streams unique identifier for this domain.
      Returns:
        the IBM Streams unique identifier.

    - #### getStatus

          public java.lang.String getStatus()

      Gets the status of the domain.
      Returns:
        the instance status that contains one of the following values:
        - running
        - stopping
        - stopped
        - starting
        - removing
        - unknown

    - #### getZooKeeperConnectionString

          public java.lang.String getZooKeeperConnectionString()

      Gets the ZooKeeper connection string for this domain.
      Returns:
        ZooKeeper connection string for this domain.